TestGccCCompiler (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.gcc.TestGccCCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.gcc
Class TestGccCCompiler

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.gcc.TestGccCompatibleCCompiler
                  net.sf.antcontrib.cpptasks.gcc.TestGccCCompiler

All Implemented Interfaces:
  junit.framework.Test

    public class TestGccCCompiler

extends TestGccCompatibleCCompiler

Test gcc compiler adapter

Constructor Summary
`TestGccCCompiler(java.lang.String name)`

Method Summary
`protected net.sf.antcontrib.cpptasks.gcc.GccCompatibleCCompiler` | `create()` Compiler creation method Must be overriden by extending classes
`void` | `testBidObjectiveAssembly()`
`void` | `testBidObjectiveC()`
`void` | `testBidObjectiveCpp()`
`void` | `testBidPreprocessedCpp()`
`void` | `testCreateCParser1()`
`void` | `testCreateCParser2()`
`void` | `testCreateCParser3()`
`void` | `testCreateFortranParser1()`
`void` | `testCreateFortranParser2()`

Methods inherited from class net.sf.antcontrib.cpptasks.gcc.TestGccCompatibleCCompiler
`testWarningLevel0, testWarningLevel1, testWarningLevel2, testWarningLevel3, testWarningLevel4, testWarningLevel5`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestGccCCompiler

    public TestGccCCompiler(java.lang.String name)

Method Detail

### create

    protected net.sf.antcontrib.cpptasks.gcc.GccCompatibleCCompiler create()

  Description copied from class: `TestGccCompatibleCCompiler`
  Compiler creation method Must be overriden by extending classes

  Specified by:
    `create` in class `TestGccCompatibleCCompiler`
  Returns:
    GccCompatibleCCompiler

### testBidObjectiveAssembly

    public void testBidObjectiveAssembly()

### testBidObjectiveC

    public void testBidObjectiveC()

### testBidObjectiveCpp

    public void testBidObjectiveCpp()

### testBidPreprocessedCpp

    public void testBidPreprocessedCpp()

### testCreateCParser1

    public void testCreateCParser1()

### testCreateCParser2

    public void testCreateCParser2()

### testCreateCParser3

    public void testCreateCParser3()

### testCreateFortranParser1

    public void testCreateFortranParser1()

### testCreateFortranParser2

    public void testCreateFortranParser2()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.